# FreeType-2.3.5 API Reference

# GZIP Streams

## Synopsis

| FT_Stream_OpenGzip |  |  |  |

This section contains the declaration of Gzip-specific functions.

#### FT_Stream_OpenGzip
      FT_EXPORT( FT_Error )
      FT_Stream_OpenGzip( FT_Stream  stream,
                          FT_Stream  source );
Open a new stream to parse gzip-compressed font files. This is mainly used to support the compressed ‘*.pcf.gz’ fonts that come with XFree86.
input
stream | The target embedding stream.
source | The source stream.
return
FreeType error code. 0 means success.
note
The source stream must be opened before calling this function. Calling the internal function ‘FT_Stream_Close’ on the new stream will not call ‘FT_Stream_Close’ on the source stream. None of the stream objects will be released to the heap. The stream implementation is very basic and resets the decompression process each time seeking backwards is needed within the stream. In certain builds of the library, gzip compression recognition is automatically handled when calling FT_New_Face or FT_Open_Face. This means that if no font driver is capable of handling the raw compressed file, the library will try to open a gzipped stream from it and re-open the face with it. This function may return ‘FT_Err_Unimplemented_Feature’ if your build of FreeType was not compiled with zlib support.

[Index] |  | [TOC]